public class KoncertnaDvorana {
    
    static final int KAPACITET = 300;
    
    boolean[] sedista = new boolean[KAPACITET];
    
    KoncertnaDvorana() {
        for (int i = 0; i < sedista.length; i++) {
            sedista[i] = true;
        }
    }
    
    void uvediGledaoca(int brojSedista) {
        if ( (brojSedista >= 1 && brojSedista <= 300) && sedista[brojSedista - 1] == true ) {
            sedista[brojSedista - 1] = false;
            System.out.println("Gledalac je uveden na sediste broj " + brojSedista);
        } else 
            System.out.println("Greska! Gledalac nije uveden na uneto mesto");      
    }
    
    boolean dvoranaJeDovoljnoPopunjena() {
        //broj zauzetih sedista u prvoj polovini sale
        int brojZauzetih1 = 0;
        //broj zauzetih sedista u drugoj polovini sale
        int brojZauzetih2 = 0;
        
        for (int i = 0; i < 150; i++) {
            if ( sedista[i] == false ) brojZauzetih1++;
        }
        
        for (int i = 150; i < sedista.length; i++) {
            if ( sedista[i] == false ) brojZauzetih2++;
        }
        
        //racunamo procentualnu zauzetost sedista u 1. i 2. polovni sale, kao i u celoj sali;
        //pri tome, broj zauzetih sedista mnozimo sa 100.0 (a ne sa 100) kako bi dobili
        //double vrednost i time obezbedili 'pravo' deljenje (tj. izbegli celobrojno deljenje)
        double zauzetost1 = (brojZauzetih1 * 100.0)/150;
        double zauzetost2 = (brojZauzetih2 * 100.0)/150;
        double ukupnaZauzetost = ((brojZauzetih1 + brojZauzetih2)*100.0)/300;
        
        if ( (zauzetost1 > 50) && (zauzetost2 > 40) && (ukupnaZauzetost > 55) ) 
            return true;
        else
            return false;
    }
    
    void brojSedistaUSvakomRedu() {
        for (int i = 0; i < sedista.length; i=i+10){
            
            int brojac = 0;
            for (int j = i; j < i+10; j++) {
                if ( sedista[j] == true ) {
                    brojac++;
                }
            }
            System.out.println("U redu " + (i/10+1) + " ima " + brojac + " slobodnih mesta!");
        }
    }

}
