public class TemperatureMora {
	
	double[] temperature = new double[365];
	static final double KRITICNA_TEMPERATURA = 45;
	
	void unesiNovuTemperaturu(double t, int dan) {
		if ( t >= 0 && dan >=1 && dan <= 365 )
			//indeks elementa kome dodeljujemo unetu temperaturu je uneti redni broj (dan) umanjen za 1,
			//zato sto indeksi elemenata niza pocinju od 0, pa 1. dan u godini odgovara 0-toj poziciji u nizu itd. 
			temperature[ dan - 1 ] = t;
		else
			System.out.println("Greska! Temperatura nije evidentirana");
	}
	
	void prikaziProsekZaJun() {
		//zbir temperatura za mesec jun
		double zbirTemp = 0;
		
		//januar: 31 dan; februar: 28 dana; mart: 31 dan; april: 30 dana; maj: 31 dan;
		//sto znaci da je 1. jun 152. dan u godini; kako indeksi u nizu krecu od 0,
		//temperatura za 1. jun se nalazi na 151. poziciji u nizu
		for (int i = 0; i < 30; i++) {
			zbirTemp += temperature[151 + i];
		}
		
		double prosek = zbirTemp/30;
		System.out.println("Prosecna temperatura za mesec jun je: " + prosek);
	}
	
	void upisiTemperatureUObrnutomRedosledu(double[] noveTemperature) {
		//ovde koristimo 2 brojaca: brojac i je namenjen kretanju kroz niz temperature,
		//dok je brojac j namenjen kretanju kroz niz noveTemperature
		//brojac j krece od pozicije poslednjeg elementa niza noveTemperature i krece se ka prvom
		//brojac i polazi od pozicije prvog elementa niza temperature i krece se ka poslednjem
		for (int i = 0, j = noveTemperature.length - 1; j >= 0 ; i++, j--) {
			temperature[i] = noveTemperature[j];
		}
	}
	
	boolean postojeUsloviZaZiviSvet() {
		
		//brojac i uzima vrednosti do temperature.length - 4 zato sto pri svakom prolasku kroz petlju
		//pored i-tog elementa, razmatramo i naredna 4 elementa
		for (int i = 0; i < temperature.length - 4; i++) {
			//broj uzastopnih dana sa temperaturom visom od KRITICNA_TEMPERATURA 
			int brojKriticnih = 0;
			//razmatramo i-ti i naredna 4 elementa niza
			for (int j = i; j < i + 5; j++) {
				if ( temperature[j] > KRITICNA_TEMPERATURA ) brojKriticnih++;
			}
			if ( brojKriticnih == 5 ) return false; //nasli smo 5 uzastopnih dana sa temperaturom visom od kriticne za zivot
		}
		//ako metoda pri izvrsavanju dodje do ove linije, znaci da ni pri jednom prolasku kroz petlju
		//nije pronadjeno 5 uzastopnih elemenata sa istom vrednoscu (tj. brojKriticnih ni jednom nije bio 5) 
		return true;
	}
}
