public class DnevneTemperature {
	
	int[] temperatureGrada = new int[365];
	static final int MIN_TEMP = -50;
	
	void unesiTemperaturu(int t, int dan) {
		if ( t >= MIN_TEMP && dan >= 1 && dan <= 365 ) 
			//indeks elementa kome dodeljujemo unetu temperaturu je uneti redni broj (dan) umanjen za 1
			//zato sto indeksi elemenata niza pocinju od 0, pa npr. 11. dan u godini odgovara 10. poziciji u nizu 
			temperatureGrada[dan-1] = t;  
	    else
	    	System.out.println("Greska! Temperatura nije zabelezena");
	}
	
	void prikaziZbirZaFebruar() {
		int zbir = 0;
		
		//kako januar ima 31 dan i prvi element niza je na poziciji nula, temperatura za 1. februar je element na poziciji 31
		//kako februar ima 28 dana, temperature za februar zauzimaju 28 pozicija u nizu, polazeci od pozicije 31
		for (int i = 0; i < 28; i++) {
			zbir += temperatureGrada[31 + i];
		}
		
		System.out.println("Zbir temperatura za mesec februar iznosi " + zbir + "C");
	}
	
	void prikaziVikendTemperature() {
		//lokalna promenljiva koja sluzi kao brojac sedmica u godini
		int j = 1;
		
		//petlja krece od elementa na poziciji 5 sto odgovara prvoj suboti u godini (receno je da je prvi dan u godini ponedeljak);
		//pri svakom prolasku kroz petlju, brojac petlje (i) uvecavamo za sedam, kako bi pri svakom prolasku kroz petlju brojac petlje
		//imao vrednost indeksa naredne subote u godini 
		for (int i = 5; i < temperatureGrada.length; i+=7) {
			System.out.println("Temperatura za " + j + ". subotu u godini: " + temperatureGrada[i] + "C");
			System.out.println("Temperatura za " + j + ". nedelju u godini: " + temperatureGrada[i+1] + "C");
			j++;
		}
	}
	
	double[] vratiProsecneNedeljneTemperature() {
		//novi niz u koji cemo upisivati prosecne nedeljne temperature
		double[] nedeljniProseci = new double[52];
		//broj elemenata u nizu nedeljniProseci
		int index = 0;
		
		//spoljna for petlja koja ima za cilj da omoguci prolaz kroz niz na 'sedmicnom' nivou, 
		//tj. pri jednom prolasku kroz ovu petlju razmatraju se temperature svih dana u jednoj nedelji 
		//u zadatku se kaze da treba uzeti u obzir prva 364 dana u godini, zato je gornja granica za brojac petlje 364
		for (int i = 0; i < 364; i+=7) {
			//suma temperatura u i-toj sedmici
			int suma = 0;
			//unutrasnja for petlja omogucuje prolazak kroz sve temperature izmerene u i-toj sedmici
			for (int j = i; j < i + 7; j++) {
				suma += temperatureGrada[j];
			}
			//racunamo prosecnu temperaturu za i-tu sedmicu; da bi imali pravo deljenje (a ne celobrojno)
			//promenljivu suma pretvaramo u double vrednost pa je zatim delimo sa 7
			double prosek = ((double)suma)/7;
			//izracunatu prosecnu vrednost upisujemo u niz nedeljnih proseka
			nedeljniProseci[index] = prosek;
			index++;
		}
		
		return nedeljniProseci;
	}

}
